using System;
using System.IO;

namespace Velikost_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění velikosti souboru";

         string fileName = "c:\\pagefile.sys";

         /* Zjištění velikosti souboru */
         try
         {
            // Odečtení velikosti pomocí instance třídy FileInfo
            FileInfo fi = new FileInfo(fileName);
            long fileSize = fi.Length;

            Console.WriteLine("{0}: {1:#,#0} bajtů.", fileName, fileSize);
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při zjišťování velikosti souboru " +
               "'{0}': {1}.", fileName, ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
